EFISIGLIST(1)

NAME
efisiglist - utility for managing UEFI signature lists

SYNOPSIS
efisiglist [-?] [-o|--outfile=<outfile>] [-a|--add] [-r|--remove]
        [-h|--hash=<hash>] [-t|--hash-type=<hash-type>]
        [-c|--certificate=<certfile>] [-?|--help] [--usage]

DESCRIPTION
efisiglist is a command line utility for management of UEFI signature lists in detached files. That is, it's for command line generation and management of files in the format of KEK, DB, and DBX.

OPTIONS

-o, --outfile=<outfile>
    output filename

-a, --add
    add hash or certificate to list

-r, --remove
    remove hash or certificate from list

-h, --hash=<hash>
    hash value to add

-t, --hash-type=<hash-type>
    hash type to add (default: "sha256")

-c, --certificate=<certfile>
    certificate to add

Options implemented via popt alias/exec:

  Help options:

-?, --help
    Show this help message

--usage
    Display brief usage message

SEE ALSO
pesign(1)